Bug 152952

Summary: Keyboard stops working when USB soundcard removed
Product: [Fedora] Fedora Reporter: Christian Schaller <uraeus>
Component: kernelAssignee: Dave Jones <davej>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Brian Brock <bbrock>
Severity: medium Docs Contact:
Priority: medium    
Version: 4CC: bnocera, pfrields, richard, wtogami
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-05-04 09:36:21 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Christian Schaller 2005-03-31 04:21:38 EST
Description of problem:
I have a Creative Labs Sound Blaster Audigy2 NX USB sound card. If I remove this
sound card by unplugging the USB device or turning of the sound card my laptop
keyboard stops working (Dell Inspirion 8600). The system also hangs when I
attempt to reboot. 

How reproducible:
Every time after I have used the sound card. If I dont use the soundcard just
connect/disconnect it this doesn't happen.

Steps to Reproduce:
1. Plug in USB sound card
2. Play some music using XMMS or similar
3. Plug out USB Sound card

Additional info:
The /var/log/messages file contain the following:
Mar 30 23:10:22 cschalle kernel: usb 2-1: new full speed USB device using
uhci_hcd and address 2
Mar 30 23:50:48 cschalle kernel: usb 3-1: USB disconnect, address 2
Mar 30 23:50:49 cschalle kernel: Unable to handle kernel NULL pointer dereferenc
e at virtual address 00000000
Mar 30 23:50:49 cschalle kernel:  printing eip:
Mar 30 23:50:49 cschalle kernel: c01d0bb4
Mar 30 23:50:49 cschalle kernel: *pde = 00000000
Mar 30 23:50:49 cschalle kernel: Oops: 0000 [#1]
Mar 30 23:50:49 cschalle kernel: Modules linked in: nvidia(U) md5 ipv6 parport_p
c lp parport autofs4 i2c_dev i2c_core hidp rfcomm l2cap bluetooth sunrpc arc4 ie
ee80211_crypt_wep pcmcia microcode dm_mod video button battery ac ohci1394 ieee1
394 yenta_socket pcmcia_core uhci_hcd ehci_hcd snd_intel8x0m snd_usb_audio snd_u
sb_lib snd_rawmidi snd_seq_device snd_intel8x0 snd_ac97_codec snd_pcm_oss snd_mi
xer_oss snd_pcm snd_timer snd soundcore snd_page_alloc ipw2100 ieee80211 ieee802
11_crypt b44 mii ext3 jbd
Mar 30 23:50:49 cschalle kernel: CPU:    0
Mar 30 23:50:49 cschalle kernel: EIP:    0060:[<c01d0bb4>]    Tainted: P      VL I
Mar 30 23:50:49 cschalle kernel: EFLAGS: 00010286   (2.6.10-1.737_FC3)
Mar 30 23:50:49 cschalle kernel: EIP is at get_kobj_path_length+0x10/0x25
Mar 30 23:50:49 cschalle kernel: eax: 00000000   ebx: 00000001   ecx: ffffffff 
edx: cbcf4900
Mar 30 23:50:49 cschalle kernel: esi: ce92eb18   edi: 00000000   ebp: cbcf4900 
esp: dff25e20
Mar 30 23:50:49 cschalle kernel: ds: 007b   es: 007b   ss: 0068
Mar 30 23:50:49 cschalle kernel: Process events/0 (pid: 3, threadinfo=dff25000 t
ask=dff10af0)
Mar 30 23:50:49 cschalle kernel: Stack: 000000d0 cbcf48dc c01d0c1e cbcf48dc ce92
eb00 ce92eb18 cbcf48dc 000003a8
Mar 30 23:50:49 cschalle kernel:        c0239a00 00000000 cc8bb70c 00000000 0000
0000 ce92eb00 cbcf483c c035f420
Mar 30 23:50:49 cschalle kernel:        cc8bb714 c01d157b 0000001a cbcf4858 0000
03a8 00000246 cbcf4800 c035f440
Mar 30 23:50:49 cschalle kernel: Call Trace:
Mar 30 23:50:49 cschalle kernel:  [<c01d0c1e>] kobject_get_path+0xe/0x4a
Mar 30 23:50:49 cschalle kernel:  [<c0239a00>] class_hotplug+0x43/0x114
Mar 30 23:50:49 cschalle kernel:  [<c01d157b>] kobject_hotplug+0x1a4/0x2ff
Mar 30 23:50:49 cschalle kernel:  [<c01d0ebf>] kobject_del+0xd/0x1c
Mar 30 23:50:49 cschalle kernel:  [<c0239d51>] class_device_del+0x8c/0x9e
Mar 30 23:50:49 cschalle kernel:  [<c0239d6b>] class_device_unregister+0x8/0x10
Mar 30 23:50:49 cschalle kernel:  [<e08bd405>] snd_unregister_device+0x91/0xc3 [
snd]
Mar 30 23:50:49 cschalle kernel:  [<e092748a>] snd_pcm_dev_unregister+0x63/0xb5
[snd_pcm]
Mar 30 23:50:49 cschalle kernel:  [<e08c1994>] snd_device_free+0x4d/0x8b [snd]
Mar 30 23:50:49 cschalle kernel:  [<e08c1b34>] snd_device_free_all+0x3b/0x4b [sn d]
Mar 30 23:50:49 cschalle kernel:  [<e08bdcb3>] snd_card_free+0x104/0x1b5 [snd]
Mar 30 23:50:49 cschalle kernel:  [<c0131ca2>] autoremove_wake_function+0x0/0x2d
Mar 30 23:50:49 cschalle kernel:  [<c0131ca2>] autoremove_wake_function+0x0/0x2d
Mar 30 23:50:49 cschalle kernel:  [<e08bdd96>] snd_card_free_thread+0x32/0x51 [s nd]
Mar 30 23:50:49 cschalle kernel:  [<c012cb20>] worker_thread+0x1eb/0x2f0
Mar 30 23:50:49 cschalle kernel:  [<e08bdd64>] snd_card_free_thread+0x0/0x51 [sn d]
Mar 30 23:50:49 cschalle kernel:  [<c0117643>] default_wake_function+0x0/0xc
Mar 30 23:50:49 cschalle kernel:  [<c02f4ea9>] schedule+0x453/0x4d6
Mar 30 23:50:49 cschalle kernel:  [<c0117643>] default_wake_function+0x0/0xc
Mar 30 23:50:49 cschalle kernel:  [<c012c935>] worker_thread+0x0/0x2f0
Mar 30 23:50:49 cschalle kernel:  [<c01314fd>] kthread+0x69/0x91
Mar 30 23:50:49 cschalle kernel:  [<c0131494>] kthread+0x0/0x91
Mar 30 23:50:49 cschalle kernel:  [<c01011dd>] kernel_thread_helper+0x5/0xb
Mar 30 23:50:49 cschalle kernel: Code: 75 14 89 d8 e8 9a ff ff ff 85 c0 89 c6 74
 07 89 d8 e8 46 d1 fc ff 5b 89 f0 5e c3 57 89 c2 53 bb 01 00 00 00 8b 3a 31 c0 8
3 c9 ff <f2> ae f7 d1 49 8b 52 24 8d 5c 0b 01 85 d2 75 e9 89 d8 5b 5f c3

As a reference I know a couple of Ubuntu users who experienced the same problem
when unplugging USB mice and USB webcams.
Comment 1 Bastien Nocera 2005-03-31 06:47:41 EST
You're not mentioning which version of the kernel (ie. make sure it's the latest
erratum). Could you try to reproduce this without the nvidia modules as well?
Comment 2 Christian Schaller 2005-03-31 08:49:03 EST
This is with kernel-2.6.10-1.737_FC3, I will try this evening with latest kernel
rpm update and without NVIDIA.
Comment 3 Richard Hughes 2005-03-31 09:18:03 EST
Same, but with a SoundBlaster MP3+ USB soundcard. Latest rawhide kernel, not
tainted. I also get a message about khubd quitting right after the oops, which I
guess is a clue. Only happens when the card is recieving data; if I stop xmms,
wait a bit, then remove the usb lead then no oops. Can suply /var/log/messages
or test patches.
Comment 4 Chris Lee 2005-03-31 13:09:05 EST
I also see this same bug but with a Logitech USB headset connected to an IBM
ThinkPad X31.
Comment 5 Christian Schaller 2005-03-31 14:34:42 EST
I tried now with latest kernel (kernel-2.6.10-1.770_FC3) without the Nvidia
module loaded and it makes no difference on the behaviour. I did find however
while testing this that the keyboard stopping to work behaviour sometimes
happens even when I dont play anything first.
Comment 6 Dave Jones 2005-07-15 15:18:42 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 7 Richard Hughes 2005-07-15 15:41:55 EDT
Fixed for me in FC4, I saw the upstream alsa fix a few months ago.
Comment 8 Dave Jones 2006-01-16 17:37:38 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 9 Dave Jones 2006-02-03 01:21:06 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 10 John Thacker 2006-05-04 09:36:21 EDT
Closing per previous comment.